---
title: Symbol.prototype.toSource()
slug: Web/JavaScript/Reference/Global_Objects/Symbol/toSource
tags:
  - JavaScript
  - Method
  - Obsolete
  - Prototype
  - Symbol
---
<div>{{JSRef}} {{obsolete_header}}</div>

<p>The <strong><code>toSource()</code></strong> method returns a string representing the source code of the object.</p>

<p>This method is usually called internally by JavaScript.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>Symbol</var>.toSource()

var sym = Symbol()
sym.toSource()</pre>

<h3 id="Return_value">Return value</h3>

<p>A string representing the source code of the object.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Native_function">Native function</h3>

<p>For the built-in <code>Symbol</code> object, <code>toSource</code> returns the following string indicating that the source code is not available:</p>

<pre class="brush:js notranslate">"function Symbol() {
   [native code]
}"</pre>

<p>For instances of <code>Symbol</code>, <code>toSource</code> returns a string representing the source code.</p>

<pre class="brush: js notranslate">"Symbol()"</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Symbol.toSource")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Object.prototype.toSource()")}}</li>
</ul>
